package com.tenlionsoft.baselib.core.beans;

/**
 * 作者: adam
 * 日期: 2020/5/14 - 5:32 PM
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class BaseImageBean {
    private String imgUrl;
    private String id;
    private String linkUrl;
    private int type;
    private String name;
    private String url;
    private String isComment;
    private String isCommentImg;
    private String isCollect;
    private String photo;
    private String title;
    private int newsType;

    private String newContentContent;

    private String newsContentType;

    public String getNewContentContent() {
        return newContentContent;
    }

    public void setNewContentContent(String newContentContent) {
        this.newContentContent = newContentContent;
    }

    public String getNewsContentType() {
        return newsContentType;
    }

    public void setNewsContentType(String newsContentType) {
        this.newsContentType = newsContentType;
    }

    public int getNewsType() {
        return newsType;
    }

    public void setNewsType(int newsType) {
        this.newsType = newsType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getIsComment() {
        return isComment;
    }

    public void setIsComment(String isComment) {
        this.isComment = isComment;
    }

    public String getIsCommentImg() {
        return isCommentImg;
    }

    public void setIsCommentImg(String isCommentImg) {
        this.isCommentImg = isCommentImg;
    }

    public String getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(String isCollect) {
        this.isCollect = isCollect;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    //     ARouter.getInstance()
//             .build(PathConfig.PATH_MODULE_MAIN_NEWS_DETAIL)
//                .withString("id", rowsBean.getNewsContentId())
//            .withString("url", url)
//                .withString("isComment", rowsBean.getNewsConfigComment())//是否可以评论
//            .withString("isCommentImg", rowsBean.getNewsConfigCommentImage())//评论是否可以上传图片
//            .withString("isCollect", rowsBean.getNewsContentCollectStatus())
//            .withString("photo",BaseUrlApi.BASE_NEWS_IMG_URL + rowsBean.getNewsContentCoverList().get(0).getContentCoverId())
//            .withString("title", rowsBean.getNewsContentTitle())
//            .withInt("type", newsType)
//                .navigation();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }
}
